| VENTI-MEM(3) | VENTI-MEM(3)

NAME

| vtbrk, vtmalloc, vtmallocz, vtrealloc, vtstrdup, vtfree – error-checking memory allocators

SYNOPSIS

`#include <u.h>
#include <libc.h>
#include <venti.h>

void* vtbrk(int size)

` `void* vtmalloc(int size)

` `void* vtmallocz(int size)

` `void* vtrealloc(void *ptr, int size)

` `char* vtstrdup(char *s)

` `void vtfree(void *ptr)
`

DESCRIPTION

These routines allocate and free memory. On failure, they print an error message and call sysfatal(3). They do not return.

Vtbrk returns a pointer to a new, permanently allocated block of at least size bytes.

Vtmalloc, vtrealloc, and vtstrdup are like malloc, realloc, and strdup, but, as noted above, do not return on error. Vtmallocz is like vtmalloc but zeros the block before returning it. Memory allocated with all four should be freed with vtfree when no longer needed.

SOURCE

| `/usr/local/plan9/src/libventi`

SEE ALSO

| venti(3)